CppUnit - The Unit Testing Library

CppUnit project page | FAQ

TestSuiteBuilderContext< Fixture > Class Template Reference

Type-sage context used when creating test suite in HelperMacros. More...

`#include <TestSuiteBuilderContext.h>`

Inheritance diagram for TestSuiteBuilderContext< Fixture >:
[legend]
Collaboration diagram for TestSuiteBuilderContext< Fixture >:
[legend]

## Public Types
typedef Fixture | FixtureType

## Public Member Functions
| TestSuiteBuilderContext (TestSuiteBuilderContextBase &contextBase)
FixtureType * | makeFixture () const
| Returns a new TestFixture instance.
Public Member Functions inherited from TestSuiteBuilderContextBase
| TestSuiteBuilderContextBase (TestSuite &suite, const TestNamer &namer, TestFixtureFactory &factory)
| Constructs a new context.
virtual | ~TestSuiteBuilderContextBase ()
| TestSuiteBuilderContextBase (TestSuiteBuilderContextBase const &)=default
| TestSuiteBuilderContextBase (TestSuiteBuilderContextBase &&)=default
TestSuiteBuilderContextBase & | operator= (TestSuiteBuilderContextBase const &)=delete
TestSuiteBuilderContextBase & | operator= (TestSuiteBuilderContextBase &&)=delete
void | addTest (Test *test)
| Adds a test to the fixture suite.
std::string | getFixtureName () const
| Returns the fixture name.
std::string | getTestNameFor (const std::string &testMethodName) const
| Returns the name of the test for the specified method.
template<typename T>
std::string | getTestNameFor (const std::string &testMethodName, const T &value) const
| Returns the name of the test for the specified method with the corresponding parameter.
void | addProperty (const std::string &key, const std::string &value)
| Adds property pair.
const std::string | getStringProperty (const std::string &key) const
| Returns property value assigned to param key.

## Additional Inherited Members
Protected Types inherited from TestSuiteBuilderContextBase
typedef std::pair< std::string, std::string > | Property
typedef std::vector< Property > | Properties
Protected Member Functions inherited from TestSuiteBuilderContextBase
TestFixture * | makeTestFixture () const
Protected Attributes inherited from TestSuiteBuilderContextBase
TestSuite & | m_suite
const TestNamer & | m_namer
TestFixtureFactory & | m_factory

## Detailed Description

template<class Fixture>
class TestSuiteBuilderContext< Fixture >

Type-sage context used when creating test suite in HelperMacros.

See also
  TestSuiteBuilderContextBase.

## Member Typedef Documentation

## ◆ FixtureType

template<class Fixture>

typedef Fixture TestSuiteBuilderContext< Fixture >::FixtureType

## Constructor & Destructor Documentation

## ◆ TestSuiteBuilderContext()

template<class Fixture>

TestSuiteBuilderContext< Fixture >::TestSuiteBuilderContext | ( | TestSuiteBuilderContextBase & | contextBase | ) |
| inline

## Member Function Documentation

## ◆ makeFixture()

template<class Fixture>

FixtureType * TestSuiteBuilderContext< Fixture >::makeFixture | ( |  | ) | const
| inline

Returns a new TestFixture instance.

Returns
  A new fixture instance. The fixture instance is returned by the TestFixtureFactory passed on construction. The actual type is that of the fixture on which the static method suite() was called.

The documentation for this class was generated from the following file:

- TestSuiteBuilderContext.h

| Send comments to: CppUnit Developers